# Documentation
## Information

## Tutorials
Once the program is started, the interface shows a toolbar with four frames:
**Recording**: Enter resolution and framerate of the camera in use as well as a video name of your choice. Record videos of any length using the buttons "Aufnahme starten" and "Aufnahme stoppen".
**Processing**: Enter a video name or select one using the button "Video auswählen" and start the heart rate calculation using the button "Verarbeiten". The result is shown in the terminal.
**Create Testcase**: In this stage of development the program is equipped with a testing mode. The setable parameters correspond to possible external influences on the accuracy of the calculation and should be altered in the course of development according to interim results. The button "Testcase aufnehmen" starts the recording that ends after a set time. Afterwards the video is saved and a new entry is written into the testcase excel file.
**Testing**: The buttons "Open .... Excel" do just that. The button "Test durchführen" starts the calculation on all videos listed in the testcase excel file and writes the results into the testrun excel file. After the calculations are finished, a copy of the testcase excel file, sorted by accuracy, is created.
## Discussion
The program was tested in various lightings, with different test subjects and multiple heart rates. The result showed that the biggest influence on the accuracy layed in the choice of face detection, not any external factor that was tested. Still, there is no best choice face detection for all testcases. Overall the program runs on 84% accuracy in its current state.
## FYI
evaluation: there is much more that could be implemented